Push
List Push Campaigns
List push campaigns
GET
/
api
/
v1
/
push
/
campaigns
List Push Campaigns
curl --request GET \
--url https://api.sequenzy.com/api/v1/push/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/push/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/push/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"campaigns": [
{
"id": "cmp_abc123",
"name": "Flash sale",
"type": "push",
"status": "draft",
"content": {
"title": "24h sale",
"body": "30% off everything",
"url": "https://shop.example.com/sale",
"imageUrl": null,
"iconUrl": null,
"platforms": [
"web",
"ios"
]
},
"targetLists": {
"type": "all"
},
"scheduledAt": null,
"sentAt": null,
"estimatedRecipientCount": null,
"labelIds": [],
"createdAt": "2026-10-01T12:00:00.000Z",
"updatedAt": "2026-10-01T12:00:00.000Z"
}
],
"total": 1
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: campaigns:read"
}
List Push Campaigns
Lists push campaigns, newest first. Push campaigns also appear in List campaigns withtype: "push". Requires the campaigns:read scope.
Request
string
draft, scheduled, sending, sent, or cancelled.number
default:"50"
Page size, 1 to 100.
number
default:"0"
Number of campaigns to skip.
curl "https://api.sequenzy.com/api/v1/push/campaigns?status=sent" \
--header "Authorization: Bearer $SEQUENZY_API_KEY"
Responses
{
"success": true,
"campaigns": [
{
"id": "cmp_abc123",
"name": "Flash sale",
"type": "push",
"status": "draft",
"content": {
"title": "24h sale",
"body": "30% off everything",
"url": "https://shop.example.com/sale",
"imageUrl": null,
"iconUrl": null,
"platforms": [
"web",
"ios"
]
},
"targetLists": {
"type": "all"
},
"scheduledAt": null,
"sentAt": null,
"estimatedRecipientCount": null,
"labelIds": [],
"createdAt": "2026-10-01T12:00:00.000Z",
"updatedAt": "2026-10-01T12:00:00.000Z"
}
],
"total": 1
}
{
"error": "Invalid API key"
}
{
"error": "API key is missing required scope: campaigns:read"
}
⌘I
List Push Campaigns
